Intermittent passwordmgr/test/browser/browser_capture_doorhanger.js | This test exceeded the timeout threshold. It should be rewritten or split up. If that's not possible, use requestLongerTimeout(N), but only as a last resort.

RESOLVED FIXED in Firefox 51

Status

()

Toolkit
Password Manager
P3
normal
RESOLVED FIXED
2 years ago
a year ago

People

(Reporter: aryx, Assigned: evanxd)

Tracking

({intermittent-failure})

Trunk
mozilla53
intermittent-failure
Points:
---
Bug Flags:
in-testsuite +

Firefox Tracking Flags

(firefox49 wontfix, firefox50 wontfix, firefox51 fixed, firefox52 fixed, firefox53 fixed)

Details

MozReview Requests

()

Submitter Diff Changes Open Issues Last Updated
Loading...
Error loading review requests:

Attachments

(1 attachment)

https://treeherder.mozilla.org/logviewer.html#?job_id=28100466&repo=mozilla-inbound

06:57:29     INFO -  466 INFO TEST-PASS | toolkit/components/passwordmgr/test/browser/browser_capture_doorhanger.js | Should only have 1 login -
06:57:29     INFO -  467 INFO TEST-PASS | toolkit/components/passwordmgr/test/browser/browser_capture_doorhanger.js | Check the username unchanged -
06:57:29     INFO -  468 INFO TEST-PASS | toolkit/components/passwordmgr/test/browser/browser_capture_doorhanger.js | Check the password unchanged -
06:57:29     INFO -  469 INFO TEST-PASS | toolkit/components/passwordmgr/test/browser/browser_capture_doorhanger.js | Check times used incremented -
06:57:29     INFO -  470 INFO Leaving test bound test_recipeCaptureFields_ExistingLogin
06:57:29     INFO -  471 INFO TEST-UNEXPECTED-FAIL | toolkit/components/passwordmgr/test/browser/browser_capture_doorhanger.js | This test exceeded the timeout threshold. It should be rewritten or split up. If that's not possible, use requestLongerTimeout(N), but only as a last resort. -

Comment 1

2 years ago
26 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 20
* fx-team: 5
* mozilla-central: 1

Platform breakdown:
* linux64: 16
* osx-10-10: 6
* linux32: 4

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1273871&startday=2016-05-30&endday=2016-06-05&tree=all

Comment 2

2 years ago
14 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 7
* try: 3
* mozilla-central: 2
* fx-team: 2

Platform breakdown:
* linux64: 5
* windows7-32: 4
* osx-10-10: 4
* linux32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1273871&startday=2016-06-06&endday=2016-06-12&tree=all

Comment 3

2 years ago
17 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* fx-team: 7
* mozilla-inbound: 5
* ash: 2
* mozilla-central: 1
* mozilla-aurora: 1
* autoland: 1

Platform breakdown:
* linux32: 8
* linux64: 5
* osx-10-10: 3
* windows7-32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1273871&startday=2016-06-20&endday=2016-06-26&tree=all

Comment 4

2 years ago
16 automation job failures were associated with this bug yesterday.

Repository breakdown:
* mozilla-inbound: 11
* fx-team: 4
* mozilla-central: 1

Platform breakdown:
* linux32: 15
* linux64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1273871&startday=2016-06-27&endday=2016-06-27&tree=all

Comment 5

2 years ago
28 automation job failures were associated with this bug yesterday.

Repository breakdown:
* autoland: 16
* mozilla-inbound: 7
* fx-team: 4
* mozilla-central: 1

Platform breakdown:
* linux32: 23
* linux64: 5

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1273871&startday=2016-06-29&endday=2016-06-29&tree=all

Comment 6

2 years ago
84 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 35
* autoland: 28
* fx-team: 15
* mozilla-central: 6

Platform breakdown:
* linux32: 63
* linux64: 21

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1273871&startday=2016-06-27&endday=2016-07-03&tree=all

Comment 7

2 years ago
Bulk assigning P3 to all open intermittent bugs without a priority set in Firefox components per bug 1298978.
Priority: -- → P3

Comment 8

2 years ago
28 automation job failures were associated with this bug yesterday.

Repository breakdown:
* mozilla-inbound: 11
* autoland: 8
* mozilla-aurora: 4
* fx-team: 3
* try: 1
* mozilla-central: 1

Platform breakdown:
* linux32: 20
* linux64: 8

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1273871&startday=2016-09-15&endday=2016-09-15&tree=all

Comment 9

2 years ago
20 automation job failures were associated with this bug yesterday.

Repository breakdown:
* autoland: 6
* mozilla-inbound: 5
* mozilla-central: 4
* fx-team: 4
* mozilla-aurora: 1

Platform breakdown:
* linux32: 20

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1273871&startday=2016-09-16&endday=2016-09-16&tree=all

Comment 10

2 years ago
65 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 21
* autoland: 21
* fx-team: 11
* mozilla-central: 6
* mozilla-aurora: 5
* try: 1

Platform breakdown:
* linux32: 56
* linux64: 9

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1273871&startday=2016-09-12&endday=2016-09-18&tree=all

Comment 11

2 years ago
17 automation job failures were associated with this bug yesterday.

Repository breakdown:
* mozilla-inbound: 7
* mozilla-beta: 4
* autoland: 4
* try: 1
* mozilla-aurora: 1

Platform breakdown:
* linux32: 16
* linux64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1273871&startday=2016-09-20&endday=2016-09-20&tree=all

Comment 12

2 years ago
20 automation job failures were associated with this bug yesterday.

Repository breakdown:
* fx-team: 7
* mozilla-inbound: 6
* autoland: 3
* mozilla-central: 2
* try: 1
* mozilla-aurora: 1

Platform breakdown:
* linux32: 18
* linux64: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1273871&startday=2016-09-21&endday=2016-09-21&tree=all
Evan, I see you've been looking at this test recently. This particular failure is very frequent, is there any chance you could take a look?
status-firefox49: affected → wontfix
status-firefox50: --- → affected
status-firefox51: --- → affected
status-firefox52: --- → affected
Flags: needinfo?(evan)
Summary: Intermittent /passwordmgr/test/browser/browser_capture_doorhanger.js | This test exceeded the timeout threshold. It should be rewritten or split up. If that's not possible, use requestLongerTimeout(N), but only as a last resort. - → Intermittent passwordmgr/test/browser/browser_capture_doorhanger.js | This test exceeded the timeout threshold. It should be rewritten or split up. If that's not possible, use requestLongerTimeout(N), but only as a last resort.

Comment 14

2 years ago
16 automation job failures were associated with this bug yesterday.

Repository breakdown:
* mozilla-inbound: 5
* autoland: 4
* mozilla-aurora: 3
* try: 1
* mozilla-central: 1
* mozilla-beta: 1
* fx-team: 1

Platform breakdown:
* linux32: 13
* linux64: 3

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1273871&startday=2016-09-22&endday=2016-09-22&tree=all

Comment 15

2 years ago
22 automation job failures were associated with this bug yesterday.

Repository breakdown:
* mozilla-inbound: 7
* fx-team: 4
* autoland: 4
* mozilla-aurora: 3
* mozilla-beta: 2
* try: 1
* mozilla-central: 1

Platform breakdown:
* linux32: 20
* linux64: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1273871&startday=2016-09-23&endday=2016-09-23&tree=all

Comment 16

2 years ago
90 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 31
* autoland: 18
* fx-team: 14
* mozilla-aurora: 9
* mozilla-beta: 7
* try: 6
* mozilla-central: 5

Platform breakdown:
* linux32: 80
* linux64: 10

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1273871&startday=2016-09-19&endday=2016-09-25&tree=all

Comment 17

2 years ago
22 automation job failures were associated with this bug yesterday.

Repository breakdown:
* mozilla-inbound: 7
* autoland: 6
* mozilla-aurora: 3
* try: 2
* mozilla-beta: 2
* mozilla-central: 1
* fx-team: 1

Platform breakdown:
* linux32: 18
* linux64: 4

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1273871&startday=2016-09-27&endday=2016-09-27&tree=all
(Assignee)

Comment 18

2 years ago
Ryan,

Sure, let me do it.
Assignee: nobody → evan
Flags: needinfo?(evan)

Comment 19

2 years ago
15 automation job failures were associated with this bug yesterday.

Repository breakdown:
* mozilla-aurora: 5
* mozilla-inbound: 4
* autoland: 4
* mozilla-beta: 1
* fx-team: 1

Platform breakdown:
* linux32: 13
* linux64: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1273871&startday=2016-09-29&endday=2016-09-29&tree=all
(Assignee)

Comment 20

2 years ago
Pushed a try: Split up the browser_capture_doorhanger.js test to avoid the timeout issue.

[1]: https://treeherder.mozilla.org/#/jobs?repo=try&revision=971af694d34c

Comment 22

2 years ago
83 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* autoland: 27
* mozilla-inbound: 23
* mozilla-aurora: 12
* fx-team: 9
* mozilla-central: 5
* mozilla-beta: 5
* try: 2

Platform breakdown:
* linux32: 72
* linux64: 11

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1273871&startday=2016-09-26&endday=2016-10-02&tree=all
Comment hidden (mozreview-request)

Comment 25

2 years ago
15 automation job failures were associated with this bug yesterday.

Repository breakdown:
* mozilla-inbound: 5
* autoland: 5
* fx-team: 2
* mozilla-central: 1
* mozilla-beta: 1
* mozilla-aurora: 1

Platform breakdown:
* linux32: 12
* linux64: 3

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1273871&startday=2016-10-03&endday=2016-10-03&tree=all

Comment 26

2 years ago
24 automation job failures were associated with this bug yesterday.

Repository breakdown:
* autoland: 8
* mozilla-inbound: 6
* mozilla-aurora: 5
* mozilla-central: 2
* fx-team: 2
* mozilla-beta: 1

Platform breakdown:
* linux32: 17
* linux64: 7

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1273871&startday=2016-10-04&endday=2016-10-04&tree=all

Comment 27

2 years ago
64 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* autoland: 26
* mozilla-inbound: 18
* mozilla-aurora: 6
* fx-team: 6
* mozilla-central: 5
* mozilla-beta: 2
* try: 1

Platform breakdown:
* linux32: 51
* linux64: 13

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1273871&startday=2016-10-03&endday=2016-10-09&tree=all
(Assignee)

Comment 28

2 years ago
Hi Matthew,

You might haven't seen the review request yet.

Could you help review the patch? Thanks.
Flags: needinfo?(MattN+bmo)

Comment 29

2 years ago
16 automation job failures were associated with this bug yesterday.

Repository breakdown:
* autoland: 7
* mozilla-inbound: 6
* try: 1
* mozilla-central: 1
* mozilla-aurora: 1

Platform breakdown:
* linux32: 13
* linux64: 3

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1273871&startday=2016-10-13&endday=2016-10-13&tree=all

Comment 30

2 years ago
16 automation job failures were associated with this bug yesterday.

Repository breakdown:
* try: 4
* autoland: 4
* mozilla-inbound: 3
* mozilla-beta: 2
* mozilla-aurora: 2
* mozilla-central: 1

Platform breakdown:
* linux32: 13
* linux64: 3

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1273871&startday=2016-10-14&endday=2016-10-14&tree=all

Comment 31

2 years ago
61 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* autoland: 23
* mozilla-inbound: 16
* try: 6
* mozilla-aurora: 6
* mozilla-beta: 5
* mozilla-central: 4
* fx-team: 1

Platform breakdown:
* linux32: 52
* linux64: 9

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1273871&startday=2016-10-10&endday=2016-10-16&tree=all
Evan, what makes you think that the test needs to be split up? This error message is misleading and suggests splitting up tests even when it's not necessary. Was the test failing always at the same place or different places?

Also, when splitting files, please use an `hg copy` to preserve the blame and to make it easier for reviewers to know what changed.
Flags: needinfo?(MattN+bmo)

Comment 33

2 years ago
19 automation job failures were associated with this bug yesterday.

Repository breakdown:
* autoland: 6
* mozilla-inbound: 5
* mozilla-aurora: 3
* mozilla-central: 2
* try: 1
* mozilla-beta: 1
* fx-team: 1

Platform breakdown:
* linux32: 16
* linux64: 3

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1273871&startday=2016-10-20&endday=2016-10-20&tree=all

Comment 34

2 years ago
54 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 17
* autoland: 15
* fx-team: 6
* try: 5
* mozilla-central: 4
* mozilla-aurora: 4
* mozilla-beta: 3

Platform breakdown:
* linux32: 49
* linux64: 5

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1273871&startday=2016-10-17&endday=2016-10-23&tree=all

Comment 35

2 years ago
41 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* autoland: 15
* mozilla-inbound: 12
* try: 5
* mozilla-central: 4
* mozilla-aurora: 2
* fx-team: 2
* mozilla-beta: 1

Platform breakdown:
* linux32: 37
* linux64: 4

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1273871&startday=2016-10-24&endday=2016-10-30&tree=all
Comment on attachment 8797029 [details]
Bug 1273871 - Split up browser_capture_doorhanger.js test for avoiding the timeout issue.

See comment 32
Attachment #8797029 - Flags: review?(MattN+bmo)
(In reply to Matthew N. [:MattN] (away Nov. 3–4) from comment #32)
> This error
> message is misleading and suggests splitting up tests even when it's not
> necessary. 

Why do you think it's misleading? it just means the test took more than 45s to complete, and as such either there's a perf bug, or the test can be made faster, or it should be split into multiple tests.

Comment 38

2 years ago
17 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 8
* autoland: 6
* mozilla-central: 2
* mozilla-release: 1

Platform breakdown:
* linux32: 16
* linux64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1273871&startday=2016-10-31&endday=2016-11-06&tree=all
(In reply to Marco Bonardo [::mak] from comment #37)
> (In reply to Matthew N. [:MattN] (away Nov. 3–4) from comment #32)
> > This error
> > message is misleading and suggests splitting up tests even when it's not
> > necessary. 
> 
> Why do you think it's misleading? it just means the test took more than 45s
> to complete, and as such either there's a perf bug, or the test can be made
> faster, or it should be split into multiple tests.

Because the most common case I see (which is a case you didn't mention) is that a test is yielding on a Promise which never resolves. That can be caused by a regression or a bug in the test with how it resolves the Promise e.g. not creating the Promise at the right time.
(In reply to Matthew N. [:MattN] (away Nov. 3–4) from comment #39)
> Because the most common case I see (which is a case you didn't mention) is
> that a test is yielding on a Promise which never resolves. That can be
> caused by a regression or a bug in the test with how it resolves the Promise
> e.g. not creating the Promise at the right time.

Nope, this error only happens when a test CAN finish, but it takes more than 45 seconds.
If the test does not finish it timeouts normally with a test timeout error.
So the message is perfectly correct, the test finished but it took more than 45s, so it's too slow.

What we do when the test goes over the 45s timeout is giving it more time, for up to 10 times. If after that time it still didn't finish, we timeout.
The reason to do this is that timing out b-c tests very often causes a waterfall of failures in all the next tests, if instead we leave them run to completion, the next tests will be fine. Though we still want to know that the test took too much time and needs maintenance, thus this error.
we could edit the text as "This test _finished but_ exceeded the timeout threshold..." but then a bunch of automatically starred bugs would need to be edited.
17 automation job failures were associated with this bug yesterday.

Repository breakdown:
* mozilla-inbound: 11
* autoland: 3
* mozilla-central: 2
* try: 1

Platform breakdown:
* linux32: 9
* linux64: 8

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1273871&startday=2016-11-11&endday=2016-11-11&tree=all
81 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 45
* autoland: 23
* mozilla-central: 8
* try: 5

Platform breakdown:
* linux32: 64
* linux64: 17

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1273871&startday=2016-11-07&endday=2016-11-13&tree=all
16 failures in 124 pushes (0.129 failures/push) were associated with this bug yesterday.  

Repository breakdown:
* mozilla-aurora: 5
* autoland: 5
* mozilla-inbound: 4
* mozilla-central: 2

Platform breakdown:
* linux32: 15
* linux64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1273871&startday=2016-11-14&endday=2016-11-14&tree=all
19 failures in 144 pushes (0.132 failures/push) were associated with this bug yesterday.  

Repository breakdown:
* autoland: 11
* mozilla-inbound: 7
* mozilla-aurora: 1

Platform breakdown:
* linux32: 15
* linux64: 4

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1273871&startday=2016-11-15&endday=2016-11-15&tree=all
(Assignee)

Comment 46

a year ago
Based on Comment 40, I think we should split up the test, right?
Flags: needinfo?(MattN+bmo)
20 failures in 119 pushes (0.168 failures/push) were associated with this bug yesterday.  

Repository breakdown:
* autoland: 8
* mozilla-inbound: 7
* mozilla-central: 3
* mozilla-aurora: 2

Platform breakdown:
* linux32: 18
* linux64: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1273871&startday=2016-11-16&endday=2016-11-16&tree=all
25 failures in 147 pushes (0.17 failures/push) were associated with this bug yesterday.  

Repository breakdown:
* autoland: 13
* mozilla-inbound: 9
* mozilla-central: 3

Platform breakdown:
* linux32: 18
* linux64: 7

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1273871&startday=2016-11-17&endday=2016-11-17&tree=all
Whiteboard: [test disabled]

Comment 49

a year ago
Pushed by philringnalda@gmail.com:
https://hg.mozilla.org/mozilla-central/rev/a459d3383943
disable browser_capture_doorhanger.js for constant failures, a=nnoyance
103 failures in 715 pushes (0.144 failures/push) were associated with this bug in the last 7 days. 

This is the #11 most frequent failure this week. 

** This failure happened more than 50 times this week! Resolving this bug is a high priority. **

Repository breakdown:
* autoland: 42
* mozilla-inbound: 30
* mozilla-aurora: 16
* mozilla-central: 15

Platform breakdown:
* linux32: 89
* linux64: 14

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1273871&startday=2016-11-14&endday=2016-11-20&tree=all
(In reply to Marco Bonardo [::mak] from comment #40)
> (In reply to Matthew N. [:MattN] (away Nov. 3–4) from comment #39)
> > Because the most common case I see (which is a case you didn't mention) is
> > that a test is yielding on a Promise which never resolves. That can be
> > caused by a regression or a bug in the test with how it resolves the Promise
> > e.g. not creating the Promise at the right time.
> 
> Nope, this error only happens when a test CAN finish, but it takes more than
> 45 seconds.
> If the test does not finish it timeouts normally with a test timeout error.
> So the message is perfectly correct, the test finished but it took more than
> 45s, so it's too slow.

Hmm… maybe this improved at some point? I remember years ago finding that the instructions to split up were misleading and leading to over-eagerly splitting tests.
Flags: needinfo?(MattN+bmo)
Comment on attachment 8797029 [details]
Bug 1273871 - Split up browser_capture_doorhanger.js test for avoiding the timeout issue.

https://reviewboard.mozilla.org/r/82672/#review94428

I don't know if this is sufficient since the try push didn't include linux debug (the most common failure platform) and didn't include re-triggers to see if it will still fail intermittently but I'm fine with the patch.

::: toolkit/components/passwordmgr/test/browser/browser.ini:17
(Diff revision 1)
>    insecure_test.html
>    insecure_test_subframe.html
>    multiple_forms.html
>    streamConverter_content.sjs
>  
>  [browser_capture_doorhanger.js]

Please include a backout of https://hg.mozilla.org/mozilla-central/rev/a459d3383943 in this commit now to re-enable the original test file.

::: toolkit/components/passwordmgr/test/browser/browser.ini:31
(Diff revision 1)
>    subtst_notifications_6.html
>    subtst_notifications_8.html
>    subtst_notifications_9.html
>    subtst_notifications_10.html
>    subtst_notifications_change_p.html
> +[browser_capture_doorhanger_https.js]

Nit: "browser_capture_doorhanger_httpsUpgrade.js" since it's focused on the httpsUpgrade cases.

::: toolkit/components/passwordmgr/test/browser/browser_capture_doorhanger.js
(Diff revision 1)
> -add_task(function* test_httpsUpgradeCaptureFields_noChange() {
> -  info("Check that we don't prompt to remember when capturing an upgraded login with no change");
> -  Services.logins.addLogin(login1);
> -  // Sanity check the HTTP login exists.
> -  let logins = Services.logins.getAllLogins();
> -  is(logins.length, 1, "Should have the HTTP login");

You still didn't address:
(Quoting Matthew N. [:MattN] from comment #32)
> Also, when splitting files, please use an `hg copy` to preserve the blame
> and to make it easier for reviewers to know what changed.

You can use: `hg cp --after toolkit/components/passwordmgr/test/browser/browser_capture_doorhanger.js toolkit/components/passwordmgr/test/browser/browser_capture_doorhanger_https.js` if you have the files modified in the working directory.

::: toolkit/components/passwordmgr/test/browser/browser_capture_doorhanger_https.js:2
(Diff revision 1)
> +/*
> + * Test capture popup notifications generated by HTTPS logins

Also clarify this comment to mention that it's testing HTTPS upgades:
Test capture popup notifications with HTTPS upgrades

Thanks
Attachment #8797029 - Flags: review+
Comment hidden (mozreview-request)
(Assignee)

Comment 55

a year ago
Updated patch for comments and sent a try push[1]. If tests are all good, let's re-enable the tests.

[1]: https://treeherder.mozilla.org/#/jobs?repo=try&revision=b727cadbfe80
(Assignee)

Comment 56

a year ago
Re-trigger the tests[1] for multiple times. If tests are all good, let's re-enable it.

[1]: https://treeherder.mozilla.org/#/jobs?repo=try&revision=b727cadbfe80&selectedJob=31659363
(Assignee)

Comment 57

a year ago
Hi Matthew,

I re-triggered the test for over 30 times and the tests are all passed already. I think we could re-enable the test again.

Could you help land the patch on MozReviewBoard?(I don't have the permission) Thanks.
Flags: needinfo?(MattN+bmo)

Comment 58

a year ago
Pushed by mozilla@noorenberghe.ca:
https://hg.mozilla.org/integration/autoland/rev/04ba25cbcf8a
Split up browser_capture_doorhanger.js test for avoiding the timeout issue. r=MattN
Done
Flags: needinfo?(MattN+bmo)
(Assignee)

Comment 60

a year ago
Thanks Matthew.
backed out for perma failures like https://treeherder.mozilla.org/logviewer.html#?job_id=7087855&repo=autoland
Flags: needinfo?(evan)

Comment 62

a year ago
Backout by cbook@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/cb894821cf44
Backed out changeset 04ba25cbcf8a for bc5 failures
40 failures in 124 pushes (0.323 failures/push) were associated with this bug yesterday.  

Repository breakdown:
* autoland: 38
* mozilla-aurora: 2

Platform breakdown:
* linux64: 24
* linux32: 16

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1273871&startday=2016-11-23&endday=2016-11-23&tree=all
(Assignee)

Comment 64

a year ago
> INFO - TEST-UNEXPECTED-FAIL | toolkit/components/passwordmgr/test/browser/browser_capture_doorhanger.js | This test exceeded the timeout threshold. It should be rewritten or split up. If that's not possible, use requestLongerTimeout(N), but only as a last resort.

Timeout issue again. Looks like we need to split more tests in browser_capture_doorhanger.js.

What do you think, Matthew?
Flags: needinfo?(evan) → needinfo?(MattN+bmo)
Or just reland with the requestLongerTimeout back: https://hg.mozilla.org/integration/autoland/rev/04ba25cbcf8a#l2.21
Flags: needinfo?(MattN+bmo)
Comment hidden (mozreview-request)
(Assignee)

Comment 67

a year ago
Hi Matthew,

I've updated the patch[1] to add `requestLongerTimeout` back and sent a try push.

Could you help re-land it? Thanks.

[1]: https://reviewboard.mozilla.org/r/82672/diff/3#index_header
62 failures in 623 pushes (0.1 failures/push) were associated with this bug in the last 7 days. 

This is the #19 most frequent failure this week. 

** This failure happened more than 50 times this week! Resolving this bug is a high priority. **

Repository breakdown:
* autoland: 38
* mozilla-aurora: 23
* mozilla-beta: 1

Platform breakdown:
* linux32: 38
* linux64: 24

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1273871&startday=2016-11-21&endday=2016-11-27&tree=all
Hi Evan, you can set the checkin-needed keyword on the bug in the future as another option. I queued it for landing.

Comment 70

a year ago
Pushed by mozilla@noorenberghe.ca:
https://hg.mozilla.org/integration/autoland/rev/a06c5b8741d7
Split up browser_capture_doorhanger.js test for avoiding the timeout issue. r=MattN
(Assignee)

Comment 71

a year ago
(In reply to Matthew N. [:MattN] (PM me if requests are blocking you) from comment #69)
> Hi Evan, you can set the checkin-needed keyword on the bug in the future as
> another option. I queued it for landing.

Sure, got it. Thanks for landing.

Comment 72

a year ago
bugherder
https://hg.mozilla.org/mozilla-central/rev/a06c5b8741d7
Status: NEW → RESOLVED
Last Resolved: a year ago
status-firefox53: --- → fixed
Resolution: --- → FIXED
Target Milestone: --- → mozilla53
status-firefox50: affected → wontfix

Comment 73

a year ago
bugherderuplift
https://hg.mozilla.org/releases/mozilla-aurora/rev/8e1c11eedc84
status-firefox52: affected → fixed
Flags: in-testsuite+
Whiteboard: [test disabled]

Comment 74

a year ago
bugherderuplift
https://hg.mozilla.org/releases/mozilla-beta/rev/6aac56b0f3b2
status-firefox51: affected → fixed
8 failures in 694 pushes (0.012 failures/push) were associated with this bug in the last 7 days.  

Repository breakdown:
* mozilla-aurora: 5
* autoland: 2
* mozilla-inbound: 1

Platform breakdown:
* linux32: 6
* linux64: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1273871&startday=2016-11-28&endday=2016-12-04&tree=all
You need to log in before you can comment on or make changes to this bug.